=== test/CMakeLists.txt ===
#SUBDIRS(  gtest-1.7.0  TestBullet3OpenCL)
SUBDIRS(  gtest-1.7.0  )
