=== debian/changelog ===
bullet (2.83.6+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Start Bullet 2.83.6 transition. (Closes: #801914)

 -- Markus Koschany <apo@debian.org>  Wed, 11 Nov 2015 16:59:06 +0100

bullet (2.83.6+dfsg-2) experimental; urgency=medium

  * Rename libraries due to a backward-incompatible ABI change without a soname
    change that occured from 2.83.5 to 2.83.6. Add Breaks and Replaces against
    the old version.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Mon, 09 Nov 2015 11:28:16 +0100

bullet (2.83.6+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.83.6+dfsg.
  * Update copyright for new release. Add new BSD-3 licensed file.

 -- Markus Koschany <apo@gambaru.de>  Sun, 06 Sep 2015 17:18:03 +0200
